$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("keyup change blur focus", ".qty, .rate", calDetail);
    $("tbody").on("blur focus keyup click change", '.meters,.yard,.tr_qty', caltran);
    $("body").on("blur", ".invno", chkinvno);
    $("body").on("blur", ".saleorder", getSaleOrd);
    $("body").on("change", ".prodcode", getRawMatForProd);
    $("body").on("change", ".karigar", printrate);
    // $("body").on("change", ".karigar", lastprice);
//    $("body").on("change keyup blur", ".qty, .rate,.totbillamt,.discperc,.roundoff,.freightperc,.packing,.courier", caltran);
    $("body").on("blur ", ".vatperc", autoadd);
//    $("body").on("click", "#submit ,#cancel", hide_but);


function printrate() {
    var karigar = $(".karigar").val();

            if (karigar != '') {
                $.get('getprnrate.php', {karigar: karigar}, function (data) {
                    if (data == '1'){
                        $(".prnrate").val(2).trigger("change");
                    }else if (data == '2') {
                        $(".prnrate").val(1).trigger("change");
                    }else{
                        $(".prnrate").val('Error').trigger("change");
                    }
                });
            }
            lastprice()
}

function lastprice() {
    var prodcode = $(".prodcode").val();
    var process = $(".process").val();
    var karigar = $(".karigar").val();

            if (prodcode != '' && process != '' && karigar != '') {
                $.get('getlastprice.php', {prodcode: prodcode ,process: process,karigar: karigar}, function (data) {
                    $(".rate").val(data);
                    calDetail()
                });
            }
}

function getRawMatForProd() {
    var prodcode = $(".prodcode").val();
    var qty = $(".qty").val();

            if (prodcode != '') {
                $.get('getRawMatForProd.php', {prodcode: prodcode ,qty : qty}, function (data) {
                    $("#tabledata").html(data);
                });
            }
            getSaleOrdProdQty();
}

function getSaleOrd() {
    var saleorder = $(".saleorder").val(),
            data = {saleorder: saleorder};

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: "getSaleOrd.php",
        data: data,
        success: function (response) {
            
            var m = response;
            $(".saleorddate").val(m.saleorddate);
            $(".party").val(m.party).trigger("change");
            // $(".prodcode").val(m.item).trigger("change");
            // $(".colorname").val(m.color).trigger("change");
           
        }
    });
    getSaleOrdProd()
    getSaleOrdProdColor()
}
function getSaleOrdProd() {
    var saleorder = $(".saleorder").val();
if (saleorder != '') {
        $.get('getSaleOrdProd.php', {saleorder: saleorder}, function (data) {
            $(".prodcode").html(data);
        });
    }
}
function getSaleOrdProdColor() {
    var saleorder = $(".saleorder").val();
if (saleorder != '') {
        $.get('getSaleOrdProdColor.php', {saleorder: saleorder}, function (data) {
            $(".colorname").html(data);
        });
    }
}

function getSaleOrdProdQty() {
    var prodcode = $(".prodcode").val();
    saleorder = $(".saleorder").val();
if (prodcode != '' && saleorder > 0) {
        $.get('getSaleOrdProdQty.php', {prodcode: prodcode, saleorder:saleorder}, function (data) {
            $(".qty").val(data);
        });
    }
}

    $("form").submit(function () {

        var party = $('.cmbparty').val(),
                totbillamt = $('.totbillamt').val(),
                valid = true;


        if (party == '') {
            var message = "Party Cannot Be Empty";
            alert(message);
            return false;
            valid = false;
        }

        if (parseFloat(totbillamt) <= 0 || totbillamt == '') {
            var message = "Netamt Cannot zero";
            alert(message);
            return false;
            valid = false;
        }



        if (valid) {
            var isValid = true;

            if (isValid) {
                $("#submit").hide();
                $("#cancel").hide();

            }
        }
    });

    $(".saleorder").change(function () {
        var saleorder = $(".saleorder").val();
//                file = $(".file").val(),
//                party = $(".party").val();
        $.post('chk_slord.php', {saleorder: saleorder}, function (data) {
            if (data.success == false) {
                alert('These Sale Order Does Not Exist');
                $(".saleorder").val('');
                $(".saleorder").focus();
            }
        }, 'json');
    });
    

    $(".party").change(function () {
        var invno = $(".invno").val(),
                file = $(".file").val(),
                party = $(".party").val();
        $.post('chk_invo.php', {invno: invno, party: party, file: file}, function (data) {
            if (data.s == 1) {
                alert('These Invoice Already Exist For Voucher  ' + data.vouchno);
                $(".invno").val('');
                $(".invno").focus();

            }
        }, 'json');
    });

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    $('.invno').blur(function () {
        $('.party').select2("open");
    });

    function calDetail() {
        var qty = $(".qty").val(),
                rate = $(".rate").val(),
                billamt = 0;
        billamt = qty * rate;
        $(".billamt").val(billamt);
    }
    
    
    
    function caltran() {
        var tr = $(this).closest("tr");
        var val = 0;
                totmtrs = 0,
                totyard = 0,
                totqty = 0,
      

        $(".yard").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totyard += parseFloat(this.value);
            }

        });
        $(".totyard").val(totyard);

        $(".meters").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totmtrs += parseFloat(this.value);
            }

        });
        $(".totmtrs").val(totmtrs);

        $(".tr_qty").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totqty += parseFloat(this.value);
            }

        });
        $(".totqty").val(totqty);
    }

    function chkinvno() {
        var invno = $('.invno').val();
        var party = $(".party").val();
        if (invno.length > 0) {
            $.post('check_inv_dtl.php', {invno: invno, party: party}, function (data) {
                if (data == 'success') {
                    alert('This Bill No. For This Party Already Exist');
                    $('.invno').val('');
                    $('.invno').focus();
                }
            });
        }
    }

    $('#addnew').click(function () {
        AddRows();
//        caltran();
    });
    function remove() {
        $(this).closest("tr").remove();
//        caltran();
        calDetail();
    }


    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('jobgiven_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('#tabledata');

//            $(detail).select2();
            $(focusFld).focus();
//            caltran();
        });
    }




});